# TCloseness (ARX Developer Documentation)

org.deidentifier.arx.criteria

## Class TCloseness

- java.lang.Object
- - org.deidentifier.arx.criteria.PrivacyCriterion
  - - org.deidentifier.arx.criteria.ExplicitPrivacyCriterion
    - - org.deidentifier.arx.criteria.TCloseness

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    EqualDistanceTCloseness, HierarchicalDistanceTCloseness, OrderedDistanceTCloseness

      public abstract class TCloseness
      extends ExplicitPrivacyCriterion

  An abstract base class for t-closeness criteria as proposed in: Li N, Li T, Venkatasubramanian S. t-Closeness: Privacy beyond k-anonymity and l-diversity. 23rd International Conference on Data Engineering. 2007:106-115.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `t` The param t.

    - ### Fields inherited from class org.deidentifier.arx.criteria.ExplicitPrivacyCriterion

      `attribute, index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCloseness(java.lang.String attribute, double t)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRequirements()` Returns the criterion's requirements.
    `double` | `getT()` Returns the parameter t.

    - ### Methods inherited from class org.deidentifier.arx.criteria.ExplicitPrivacyCriterion

      `getAttribute, initialize`

    - ### Methods inherited from class org.deidentifier.arx.criteria.PrivacyCriterion

      `clone, clone, getDataSubset, getMinimalClassSize, getPopulationModel, getRiskThresholdJournalist, getRiskThresholdMarketer, getRiskThresholdProsecutor, getSubset, isAnonymous, isLocalRecodingSupported, isMinimalClassSizeAvailable, isMonotonicWithGeneralization, isMonotonicWithSuppression, isSampleBased, isSubsetAvailable, render, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### t

          protected final double t

      The param t.

  - ### Constructor Detail

    - #### TCloseness

          public TCloseness(java.lang.String attribute,
                    double t)

      Creates a new instance.
      Parameters:
        `attribute` -
        `t` -

  - ### Method Detail

    - #### getRequirements

          public int getRequirements()

      Description copied from class: `PrivacyCriterion`
      Returns the criterion's requirements.
      Specified by:
        `getRequirements` in class `PrivacyCriterion`
      Returns:

    - #### getT

          public double getT()

      Returns the parameter t.
      Returns: